import { EventEmitter, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { LocalStorageService } from '@armor/platform-browser';
import { IdentityService, IMe, IAccount, IsEmployeeService, LegacyAccountService } from '@armor/api';
import { AlertService } from '../../services/alerts/alert.service';
export declare class UserMenuComponent implements OnInit {
    private identityService;
    private localStorageService;
    private router;
    private isEmployeeService;
    private alertService;
    private legacyAccountService;
    constructor(identityService: IdentityService, localStorageService: LocalStorageService, router: Router, isEmployeeService: IsEmployeeService, alertService: AlertService, legacyAccountService: LegacyAccountService);
    menu: any;
    filterSelect: any;
    orgManagementUrl: string;
    settingsUrl: string;
    accountChanged$: EventEmitter<IAccount>;
    accountChoices: IAccount[];
    currentAccount: IAccount;
    me: IMe;
    isEmployee: boolean;
    ngOnInit(): void;
    select(accountId: number): void;
    close(): void;
    onOpenChange(isOpen: boolean): void;
    switchToAccount(accountId: number): IAccount;
    manage(): Promise<void>;
    settings(): Promise<void>;
    getAccountById(accountId: number): IAccount;
    refreshAccounts(): Promise<void>;
    private updateEmployeeAccounts;
    private updateAccounts;
    filterByIdAndName(item: IAccount, filterVal: string): boolean;
}
